> For the complete documentation index, see [llms.txt](https://prisma-util.gitbook.io/stable/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://prisma-util.gitbook.io/stable/api-documentation/types-and-objects/imported-type.md).

# ImportedType

This type represents a type from a specific file. It is the result of joining a [Path](/stable/api-documentation/types-and-objects/path.md) string with a type name, and is represented as such: `Path:TypeName`, where `Path` is the path to a file and `TypeName` is the name of a model in that specific file. When defining paths, you should follow the recommendations from [this](/stable/concepts/conventions-and-standards.md#paths-and-denoting-paths) page. We recommend using [importType](/stable/modules/schema-creator/api-documentation.md#importtype-file-string-typename-string) to get an [ImportedType](/stable/api-documentation/types-and-objects/imported-type.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://prisma-util.gitbook.io/stable/api-documentation/types-and-objects/imported-type.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
